Subject: bug#43489: [PATCH] Don't signal scan-error when moving by sexp interactively

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 21 Sep 2020 16:47:54 +0200

Mattias Engdegård <[email-masked]> writes:

> Thank you for testing the patch. (Less confusing than Emacs master, I
> presume?

Yes.

> Or if you mean compared with the no-message patch, what was confusing
> about it?)

Beeping at me without telling me why is confusing, I think.

> If I understand you properly, you say that "No next sexp" is an
> inappropriate message for C-M-f at
>
>  ((A B_) C D)
>
> where the underscore indicates point, since the expressions C and D
> follow? Editors differ in how they handle this case: some just
> continue up one level (in this case, past C) instead of
> stopping. There are merits to either behaviour and I'm not suggesting
> a change to Emacs in this respect.
>
> What would a good message be then, if we insist on one? "No next sexp"
> is correct within the semantics of forward-sexp and to the point; a
> more detailed message might be something like
>
>  "Past last element in expression"
>  "No next subexpression"
>  "Past last subexpression"

The current message is "Containing expression ends prematurely", which
isn't...  perfect...  but it tells us that it tried to read an
expression but failed, because it reached something that ended the
expression before ... it should?  

Uhm...  No, I have no good suggestions, but these new messages aren't
really any clearer than the old one.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no